using Godot;
using System;

public partial class Principal : Control
{
	[Export] Panel sub; 
	[Export] Panel credit;
	[Export] PackedScene play;
	
	// Called when the node enters the scene tree for the first time.
	public override void _Ready()
	{
		
	}

	// Called every frame. 'delta' is the elapsed time since the previous frame.
	public override void _Process(double delta)
	{
	}

	public void EnterPressed()
	{
		sub.Visible = true;
	}

	public void creditEnter()
	{
		credit.Visible = true;
		sub.Visible = false;
	}

	public void CreditExit()
	{
		credit.Visible = false;
		sub.Visible = true;
	}

	public void PlayPressed()
	{
		GetTree().ChangeSceneToPacked(play);
	}

	public void ExitGlobPressed()
	{
		GetTree().Quit();
	}
}
